- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QFontComboBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qfontcombobox.h.

`#include <qfontcombobox.h>`

Inheritance diagram for QFontComboBox:
[legend]

List of all members.

## Public Types
enum | FontFilter { AllFonts = 0, ScalableFonts = 0x1, NonScalableFonts = 0x2, MonospacedFonts = 0x4, ProportionalFonts = 0x8 }
## Public Slots
void | setCurrentFont (const QFont &f)
## Signals
void | currentFontChanged (const QFont &f)
## Public Member Functions
| QFontComboBox (QWidget *parent=0)
| ~QFontComboBox ()
void | setWritingSystem (QFontDatabase::WritingSystem)
QFontDatabase::WritingSystem | writingSystem () const
void | setFontFilters (FontFilters filters)
FontFilters | fontFilters () const
QFont | currentFont () const
QSize | sizeHint () const
## Protected Member Functions
bool | event (QEvent *e)
## Properties
QFontDatabase::WritingSystem | writingSystem
FontFilters | fontFilters
QFont | currentFont

## Member Enumeration Documentation

enum FontFilter

Search for all occurrences

Enumerator:

  AllFonts | Search for all occurrences
  ScalableFonts | Search for all occurrences
  NonScalableFonts | Search for all occurrences
  MonospacedFonts | Search for all occurrences
  ProportionalFonts | Search for all occurrences

Definition at line 74 of file qfontcombobox.h.

                        {
            AllFonts = 0,
            ScalableFonts = 0x1,
            NonScalableFonts = 0x2,
            MonospacedFonts = 0x4,
            ProportionalFonts = 0x8
        };

## Constructor & Destructor Documentation

QFontComboBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QFontComboBox | ( |  | ) |

## Member Function Documentation

void setWritingSystem | ( | QFontDatabase::WritingSystem |  | ) |

Search for all occurrences

QFontDatabase::WritingSystem writingSystem | ( |  | ) | const

Search for all occurrences

void setFontFilters | ( | FontFilters | filters | ) |

Search for all occurrences

FontFilters fontFilters | ( |  | ) | const

Search for all occurrences

QFont currentFont | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QComboBox.

void setCurrentFont | ( | const QFont & | f | ) | `[slot]`

Search for all occurrences

void currentFontChanged | ( | const QFont & | f | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QComboBox.

## Property Documentation

QFontDatabase::WritingSystem writingSystem `[read, write]`

Search for all occurrences

Definition at line 62 of file qfontcombobox.h.

FontFilters fontFilters `[read, write]`

Search for all occurrences

Definition at line 63 of file qfontcombobox.h.

QFont currentFont `[read, write]`

Search for all occurrences

Definition at line 64 of file qfontcombobox.h.

The documentation for this class was generated from the following file:

- QtGui/qfontcombobox.h

QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox
QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox QFontComboBox